Skip to main content
PUT
/
orders
/
{orderId}
/
cancel
Cancel an order
curl --request PUT \
  --url https://api.readmin.app/orders/{orderId}/cancel \
  --header 'Content-Type: application/json' \
  --header 'loader-id: <api-key>' \
  --data '
{
  "actorId": "<string>"
}
'
import requests

url = "https://api.readmin.app/orders/{orderId}/cancel"

payload = { "actorId": "<string>" }
headers = {
"loader-id": "<api-key>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {'loader-id': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({actorId: '<string>'})
};

fetch('https://api.readmin.app/orders/{orderId}/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "order": {
    "groupId": "<string>",
    "customerId": "<string>",
    "cashierId": "<string>",
    "items": [
      {
        "item": "<string>",
        "quantity": 123
      }
    ],
    "placeId": "<string>",
    "gameId": "<string>",
    "created": "2023-11-07T05:31:56Z",
    "_id": "<string>",
    "log": [
      {
        "event": "<string>",
        "userId": "<string>",
        "date": "2023-11-07T05:31:56Z"
      }
    ],
    "involvedUsers": [
      "<string>"
    ],
    "lastModified": "2023-11-07T05:31:56Z"
  }
}
{
"success": false,
"reason": "<string>"
}
{
"success": false,
"reason": "<string>"
}
{
"success": false,
"reason": "<string>"
}

Authorizations

loader-id
string
header
required

Path Parameters

orderId
string
required

Body

application/json
actorId
string
required

Response

Order updated successfully

success
boolean
order
object